Tabulate 0.7.2 with Python 3.2 support

2014-02-03

I've released Tabulate 0.7.2, a new minor version of the table pretty printing library for Python.

This version supports Python 3.2, which makes Tabulate installable for Python 3 Debian Stable (Wheezy) and Ubuntu 12.04 LTS (Precise Pangolin). All supported and tested Python versions are:

  • Python 2.6 (tested on Python 2.6.8)
  • Python 2.7 (tested on Python 2.7.6)
  • Python 3.2 (tested on Python 3.2.5)
  • Python 3.3 (tested on Python 3.3.3)

The tests also pass on

  • Python 3.4 beta 2

Supposedly, the library now also works on Python 3.0 and 3.1, but these versions are not tested, due to a bug in pip.